﻿@model IEnumerable<Bacchus.Models.Bid>

@{
    ViewBag.Title = "Index";
}


@{ if (User.IsInRole("Admin"))
    {
        <h2>Bids</h2>
    }
    else
    {
        <h2>My Bids</h2>
    }
}





<table class="table table-condensed table-hover">
    <tr>
        @*<th>
                @Html.DisplayNameFor(model => model.Id)
            </th>*@
        <th>
            First name
        </th>
        <th>
            Last name
        </th>
        <th>
            @Html.DisplayNameFor(model => model.BidAmount)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.BidDate)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.ProductId)
        </th>


    </tr>

    @foreach (var item in Model)
    {
        <tr>
            @*<td>
                    @Html.DisplayFor(modelItem => item.Id)
                </td>*@
            <td>
                @Html.DisplayFor(modelItem => item.User.FirstName)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.User.LastName)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.BidAmount)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.BidDate)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.ProductId)
            </td>


        </tr>
    }
</table>
